# 获取学生信息

## 修改记录


## 接口定义

    /v1/get_student_list
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osName}/{osVersion}/{appVersion}/{deviceSN}/{activeAccount}
     X-Sign               {String}       rsa(activeAccount+'_'+timestamp) 加密

### Form Parameters

 schoolId          {int}    必选
 page              {int}    默认：1
 limit             {int}    默认：20

## Response


### Example


**Command**

    curl -X GET \

       -H "X-DeviceInformation: 5ebfdbca1a5d4dbd4a6cc8e835276779" \
       -H "X-Sign: xxxxxxxx"
        -G \
        --data-urlencode 'schoolId=111111&page=1&limit=20' \
       http://localhost:8080/v1/get_student_list

**Output**

    {
        "errno": 200,
        "msg": "success",
        "data": {
            "total": 100,
            "list":[
                   {
                       "studentId": 50687,
                       "studentName": "郑笑莹",
                       "gender": 2,
                       "age": 0,
                       "schoolId": 160,
                       "gradeId": 260,
                       "classId": 1439,
                       "left_eye": "4.3",
                       "right_eye": "4.4",
                       "studentNumber": "",
                       "distance": 0,
                       "updated_at": "2019-04-23 16:01:51"
                   }
               ]
        }
    }