# 获取学生最近三次数据


## 修改记录


## 接口定义

    /v1/get_student_latest_visions
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osName}/{osVersion}/{appVersion}/{deviceSN}/{activeAccount}
     X-Sign               {String}       rsa(activeAccount+'_'+timestamp) 加密

### Form Parameters

    studentIds      {String}
    count           {int}           默认 3

## Response


### Example


**Command**

##### Android

    curl -X GET \

       -H "X-DeviceInformation: 5ebfdbca1a5d4dbd4a6cc8e835276779" \
       -H "X-Sign: xxxxxxxx"
       http://localhost:8080/v1/get_student_latest_visions

**Output**

  {
      "errno": 200,
      "data": [
          {
              "studentId": 50687,
              "list": [
                  {
                      "vid": 27728,
                      "leftEye": "4.3",
                      "rightEye": "4.4",
                      "distance": 3,
                      "addTime": 1556006511
                  }
              ]
          },
          {
              "studentId": 50688,
              "list": [
                  {
                      "vid": 27729,
                      "leftEye": "5.1",
                      "rightEye": "5.1",
                      "distance": 3,
                      "addTime": 1556006511
                  }
              ]
          }
      ],
      "msg": "success"
  }