# 上传单条数据


## 修改历史


## 接口定义

    /v1/upload_vision_data
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}
    X-Sign               {String}       rsa(timestamp) 加密

### Form Parameters

    uuid            {String}    唯一ID ，由Android端生成
    studentId       {String}    学生ID
    leftEye         {float}     左视力
    rightEye        {float}     右眼视力
    distance        {int}
    testType        {int}       设备模式，1:学校模式、2:商城模式、3:海航模式
    testTime        {int}

## Response


### Example

**Command**

    curl -X POST \
    	   -H "Content-Type: application/json" \
           -H "X-Token: 5ebfdbca1a5d4dbd4a6cc8e835276779" \
           -H "X-DeviceInformation: Android%2F5.0%2F4.8%2Fxxxxx%2FtestName" \
           -d '{"uuid":"1DE5CAAA-DB46-419A-8162-EC853DAEA5CF","sid":"1111","eid":"2222","leftEye":1.0,"rightEye":1.2,"addType":1,"distance":3,"testTime":1560426091}' \
       http://localhost:8080/v1/upload_vision_data

**Output**

    {
      "errno": 200,
      "msg": "success"
    }