# 注册jpush服务

注册设备，接收推送服务

## 修改记录


## 接口定义

    /v1/subscribe_jpush
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{equipmentId}
    X-Sign               {String}       rsa(timestamp) 加密

### Form Parameters

 jpushToken                   {String}     设备Token

## Response

该接口返回Token信息

### Example


**Command**

##### Android

    curl -X POST \
       -H "X-DeviceInformation: 5ebfdbca1a5d4dbd4a6cc8e835276779" \
       -H "X-Sign: xxxxxxxx" \
       -G \
       --data-urlencode 'jpushToken=xxxxxx' \
       http://localhost:8080/v1/subscribe_jpush

**Output**

    {
      "errno": 200,
      "msg": "success"
    }